[package]
name = "tesseract"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
log = "0.4.20"
simple-logging = "2.0.2"
sysinfo = "0.29.10"
macaddr = "1.0.1"
rsdns = { version = "0.15.0", features = ["net-std"] }
dnsclient = "0.1.18"
handlebars = "4.4.0"
serde_json = "1.0.107"
serde = { version = "1.0.188", features = ["derive"] }
chrono = { version = "0.4.31", features = [] }
mac_oui = { version = "0.4.7", features = ["with-db"] }
regex = { version = "1.10.1", features = [] }
url = "2.4.1"
glob = "0.3.1"
local-ip-address = "0.5.6"
openssl = { version = "0.10.61", features = ["vendored"] }
shiplift = "0.7.0"
tokio = "1.35.0"